Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
thuyvan89

Sửa nhanh kích thước đường thẳng thành chữ Ø mà không phải viết %%C

Các bài được khuyến nghị

Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:

Pre fix : giá trị muốn thêm phía trước nội dung dim.

Suf fix : giá trị muốn sau nội dung dim.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Bạn dùng thử Lisp: Add %%c to Dim này xem sao?Lệnh tắt là:rond

:cheers:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Trong trường hợp của bạn dùng cách của bác Duy là hay nhất

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:

Pre fix : giá trị muốn thêm phía trước nội dung dim.

Suf fix : giá trị muốn sau nội dung dim.

Trường hợp của bác Duy sửa thì nó đi luôn cả Dimstyle -> đôi lúc không nên vì đôi khi ta chỉ muốn làm cho một số kích thước

Trong trường hợp bạn chỉ muốn một số kích thước cần thêm thì làm theo cách sau :

 

Đánh lệnh Ded (Dimedit)

Command: ded DIMEDIT

Enter type of dimension editing [Home/New/Rotate/Oblique] : N ; Gõ N -> Enter -> Hiện lên hộp thoại Mtext ->

Bạn gõ chữ trước cặp móc nhọn là Pre fix : giá trị muốn thêm phía trước nội dung dim

Bạn gõ chữ sau cặp móc nhọn là Suf fix : giá trị muốn thêm phía sau nội dung dim

 

Select objects: Specify opposite corner: 1 found

 

Select objects: Specify opposite corner: 1 found, 2 total :

 

Select objects:

 

Quét chọn các Dim -> Lập tức các kích thước sẽ điền thêm tiền tố, hậu tố chính là chuỗi mà bạn thêm vào. rất nhanh chóng. Bạn hãy thử xem.

Chúc thành công :cheers:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:

Pre fix : giá trị muốn thêm phía trước nội dung dim.

Suf fix : giá trị muốn sau nội dung dim.

 

KT ghi theo đường thằng của em là 12 em muốn sửa thành Ø12 . Làm theo cách của anh nó ra kt như sau: 12 [ Ø300.80] . E muốn được Ø12 phải làm thế nào anh giúp em nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
KT ghi theo đường thằng của em là 12 em muốn sửa thành Ø12 . Làm theo cách của anh nó ra kt như sau: 12 [ Ø300.80] . E muốn được Ø12 phải làm thế nào anh giúp em nhé!

Bạn hãy đọc kĩ lại bài viết của mình :

Đánh lệnh Ded (Dimedit)

Command: ded DIMEDIT

Enter type of dimension editing [Home/New/Rotate/Oblique] : N ; Gõ N -> Enter -> Hiện lên hộp thoại Mtext ->

Bạn gõ chữ trước cặp móc nhọn là %%c .

 

Select objects: Specify opposite corner: 1 found

 

Quét chọn các Dim -> Lập tức các kích thước sẽ điền thêm tiền tố, hậu tố chính là chuỗi mà bạn thêm vào. rất nhanh chóng. Bạn hãy thử xem.

 

Select objects: Specify opposite corner: 1 found, 2 total :

 

Select objects:

 

Chúc thành công

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn hãy đọc kĩ lại bài viết của mình :

Đánh lệnh Ded (Dimedit)

Command: ded DIMEDIT

Enter type of dimension editing [Home/New/Rotate/Oblique] : N ; Gõ N -> Enter -> Hiện lên hộp thoại Mtext ->

Bạn gõ chữ trước cặp móc nhọn <> là %%c .

 

Select objects: Specify opposite corner: 1 found

 

Quét chọn các Dim -> Lập tức các kích thước sẽ điền thêm tiền tố, hậu tố chính là chuỗi mà bạn thêm vào. rất nhanh chóng. Bạn hãy thử xem.

 

Select objects: Specify opposite corner: 1 found, 2 total :

 

Select objects:

 

Chúc thành công

 

Em làm được theo cách của anh rồi . Nhưng em muốn làm như cách của anh Duy vì tạo một kiểu dim như anh Duy thì chỉ cần ghi kích thước là được, ko cần phải sửa , ko cần phải quét vì bản của em có nhiều cái phải sửa . Anh xem giúp em nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em thấy nó đòi password, ko mở dc. Anh giúp em nhé!

password của nó là : www.cadviet.com

Tuy nhiên cách thức hoạt động của nó giống như lệnh Ded. Lệnh Ded có thể thêm tiền tố lẫn hậu tố.

Về cách của bạn ghi kích thưóc 12 [ Ø300.80] thì Ø300.80 là do trong nhãn Altnate Units -> Multiplier alt units bạn để số khác 1.

Hãy nhập giá trị bằng 1 trong Multiplier alt units -> bạn sẽ có kết quả là 12 [ Ø12].

Tuy nhiên, đây không phải là kết quả bạn mong muốn. Cái mong muốn của bạn là Ø12 thôi phải không?

Rất tiếc, CAD không thể làm được chuyện đó được bạn ạ.

 

Cách nhanh nhất là bạn sử dụng lệnh Ded(dimedit).

Bạn có thể chọn trước DimStyle bằng quickselect hoặc Filter rồi dùng Ded(Dimedit) để điền tiền tố

 

Hoặc nhanh hơn là khi vừa ghi kích thước xong, sẽ tự động nhập luôn giá trị Ø trước kích thước. Đây là ý của bạn phải không?

Vậy thì bạn sử dụng đoạn Code này. Khi yêu cầu nhập điểm đầu, điểm cuối và đường chân kích thước (giống dimlinear) thì Lisp tự động điền luôn tiền tố Ø trước kích thước

(defun c:gfi()
(setq p1 (getpoint "\n Diem dau kich thuoc :"))
(setq p2 (getpoint p1 "\n Diem cuoi kich thuoc :"))
(Command "dimlinear" p1 p2 pause)
(Command "dimedit" "N" "%%c" "L" "")
(Princ)
)

Hẳn bạn đã biết sử dụng Code

Chúc thành công :cheers:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em làm được theo cách của anh rồi . Nhưng em muốn làm như cách của anh Duy vì tạo một kiểu dim như anh Duy thì chỉ cần ghi kích thước là được, ko cần phải sửa , ko cần phải quét vì bản của em có nhiều cái phải sửa . Anh xem giúp em nhé!

Xin lổi bạn mình nhầm. Bạn chỉnh trong mục Primảy unít ấy cũng là

Pre fix : giá trị muốn thêm phía trước nội dung dim.

Suf fix : giá trị muốn sau nội dung dim.

(do mình dùng cad14 nên không quen => viết nhầm)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoặc nhanh hơn là khi vừa ghi kích thước xong, sẽ tự động nhập luôn giá trị Ø trước kích thước. Đây là ý của bạn phải không?

Vậy thì bạn sử dụng đoạn Code này. Khi yêu cầu nhập điểm đầu, điểm cuối và đường chân kích thước (giống dimlinear) thì Lisp tự động điền luôn tiền tố Ø trước kích thước

(defun c:gfi()
(setq p1 (getpoint "\n Diem dau kich thuoc :"))
(setq p2 (getpoint p1 "\n Diem cuoi kich thuoc :"))
(Command "dimlinear" p1 p2 pause)
(Command "dimedit" "N" "%%c<>" "L" "")
(Princ)
)

Hẳn bạn đã biết sử dụng Code

Chúc thành công :cheers:

 

Em chưa biết sử dụng Code, các anh nhớ chỉ dẫn cụ thể . Em cảm ơn các anh nhiều, các anh đã tận tình giúp em thật hạnh phúc vì em biết được diễn đàn của các anh!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em chưa biết sử dụng Code, các anh nhớ chỉ dẫn cụ thể .

Em đọc bài hướng dẫn của anh Hoành ở đây:

Hướng dẫn sử dụng code

Em cảm ơn các anh nhiều, các anh đã tận tình giúp em thật hạnh phúc vì em biết được diễn đàn của các anh!

Có phải ý em là "Em đang rất hạnh phúc rồi, nay biết được CADViet thì hạnh phúc thêm nhiều nhiều" phải không? :cheers:

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em đọc bài hướng dẫn của anh Hoành ở đây:

Hướng dẫn sử dụng code

 

Có phải ý em là "Em đang rất hạnh phúc rồi, nay biết được CADViet thì hạnh phúc thêm nhiều nhiều" phải không? :cheers:

 

Em đang rất hạnh phúc đây anh ạ! Hạnh phúc vì chả quen biết gì nhau các anh cũng chỉ bảo tận tình. Cho em hỏi các anh có lisp vẽ nào cần cho người mới học vẽ cho em xin nhé! Em cảm ơn các anh nhiều nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có chứ em! Mời em xem tiếp bài của anh SSG nhé:

Hướng dẫn lập trình Lisp

Và thường xuyên đến thăm box AutoLisp

 

Em đang loay hoay với cái lisp của anh Tuệ anh a! Trời ơi ! Anh có phải là thầy giáo không mà nhồi nhét cho em nhiều thế ? Vẽ AutoCAD em còn đang chưa thạo ! Hu hu hu anh thương em thì bảo em từ từ thôi!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em đang loay hoay với cái lisp của anh Tuệ anh a! Trời ơi ! Anh có phải là thầy giáo không mà nhồi nhét cho em nhiều thế ? Vẽ AutoCAD em còn đang chưa thạo ! Hu hu hu anh thương em thì bảo em từ từ thôi!

Thế bạn đã làm được theo cách của mình chưa?

Anh duongsatdn là thấy giỏi đấy bạn!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:

Pre fix : giá trị muốn thêm phía trước nội dung dim.

Suf fix : giá trị muốn sau nội dung dim.

Ghi kích thước bình thường. Sau đó dùng lệch Edit (ed) rồi chỉnh lại bình thường thôi.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn gỏ lệnh: DIMSTYLE chọn dimstyle cần chỉnh, chọn modifyle, chọn Alternate Units, điền giá trị:

Pre fix : giá trị muốn thêm phía trước nội dung dim.

Suf fix : giá trị muốn sau nội dung dim.

Ghi kích thước bình thường. Sau đó dùng lệch Edit (ed) rồi chỉnh lại bình thường thôi. Chúc bạn thành công!!!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ghi kích thước bình thường. Sau đó dùng lệch Edit (ed) rồi chỉnh lại bình thường thôi.

Cách này thì bạn thuyvan89 đã xài rồi mà.

Bản vẽ của em thường viết đường kính lỗ trên mặt cắt ví dụ lỗ phi 30 em ghi theo kt thẳng sau đó dùng lệnh sửa kích thước để viết thêm phi = %%C để nó ra kt Ø30 .Rất mất thời gian có cách nào sửa nhanh nhờ các anh trợ giúp

Hãy xài cách của anh Duy đi bạn!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thế bạn đã làm được theo cách của mình chưa?

Anh duongsatdn là thấy giỏi đấy bạn!

 

Cách này thì bạn thuyvan89 đã xài rồi mà.

 

Hãy xài cách của anh Duy đi bạn!

 

Em cảm ơn thầy ơn Thầy Dương nhiều nhiều! Em đã làm theo cách làm của anh Duy rồi ạ! Cách ấy rất nhanh! Em muốn cài lisp vào để xem lisp nó như thế nào Thầy ạ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em cảm ơn thầy ơn Thầy Dương nhiều nhiều! Em đã làm theo cách làm của anh Duy rồi ạ! Cách ấy rất nhanh! Em muốn cài lisp vào để xem lisp nó như thế nào Thầy ạ!

Bạn mở notepad rồi paste nội dung vào. Sau đó save file này thành một file có đuôi là lsp.

Ví dụ file này lưu có tên là gfi.lsp ở ổ C:\ chẳng hạn (đuôi là lsp)

Vào Cad -> Gõ AP (APPLOAD) -> Hiện lên hộp thoại Load/Unload Application -> Bạn chọn file Lisp bạn vừa lưu đó ở ổ C:\gfi.lsp -> Chọn Load -> Chọn Close

 

Để biết tên lệnh là gì?

Bạn mở file lsp ra, tìm đến các dòng mã (defun c:, phía sau c: là tên lệnh. Ví dụ: (defun c:gfi thì tên lệnh là gfi.

Bạn đọc thêm bài viết này nhé : Hướng dẫn sử dụng mã Lisp

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×